%global commit 4464fb0db62602276df27ed241cef3020f8c8fc9
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%global module catkin_tools

Name:           python-%{module}
Version:        0.1.0
Release:        1%{?dist}
Summary:        Command line tools for working with catkin

Group:          Development/Tools
License:        ASL 2.0
URL:            http://catkin-tools.readthedocs.org
Source0:        https://github.com/catkin/%{module}/archive/%{commit}/%{module}-%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-argparse
BuildRequires:  python-catkin_pkg
BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python-setuptools
%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-sphinx10
%else
BuildRequires:  python-sphinx
%endif
BuildRequires:  PyYAML
Requires:       python-argparse
Requires:       python-catkin_pkg
Requires:       python-setuptools
Requires:       PyYAML

%description
Provides command line tools for working with catkin

%prep
%setup -qn %{module}-%{commit}

%build
%{__python2} setup.py build
%if 0%{?rhel} && 0%{?rhel} <= 6
make -C docs html man SPHINXBUILD=sphinx-1.0-build
%else
make -C docs html man
%endif
rm -f docs/_build/html/.buildinfo

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
install -d %{buildroot}%{_mandir}/man1
install -p -m0644 docs/_build/man/*.1 %{buildroot}%{_mandir}/man1/

# Removed the installed test
rm -rf %{buildroot}%{python2_sitelib}/tests

%check
nosetests -w tests

%files
%doc LICENSE README.md docs/_build/html
%{python2_sitelib}/%{module}
%{python2_sitelib}/%{module}-%{version}-py?.?.egg-info
%{_bindir}/catkin
%{_mandir}/man1/*.1.gz

%changelog
* Tue Jun 10 2014 Scott K Logan <logans@cottsay.net> - 0.1.0-1
- Initial package
